//
//  LineDemoViewController.swift
//  ChartsDemo-OSX
//
//  Copyright 2015 Daniel Cohen Gindi & Philipp Jahoda
//  A port of MPAndroidChart for iOS
//  Licensed under Apache License 2.0
//
//  https://github.com/danielgindi/ios-charts

import Foundation
import Cocoa
import Charts

open class LineDemoViewController: NSViewController
{
    @IBOutlet var lineChartView: LineChartView!
    
    override open func viewDidLoad()
    {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        
        var entries: [ChartDataEntry] = []
        
        entries.append(ChartDataEntry(x: 0, y: 0))
        entries.append(ChartDataEntry(x: 2, y: 2))
        entries.append(ChartDataEntry(x: 4, y: 4))
        entries.append(ChartDataEntry(x: 2, y: 6))
        entries.append(ChartDataEntry(x: 0, y: 8))
        
        let ds1 = LineChartDataSet(entries: entries, label: "Hello")
        ds1.colors = [NSUIColor.red]
        
        let data = LineChartData()
        data.addDataSet(ds1)
        
        self.lineChartView.data = data
        
        self.lineChartView.gridBackgroundColor = NSUIColor.white

        self.lineChartView.chartDescription?.text = "Linechart Demo"
    }
    
    override open func viewWillAppear()
    {
        self.lineChartView.animate(xAxisDuration: 0.0, yAxisDuration: 1.0)
    }
}
